

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.TimeZone &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.Localisation" href="pywws.Localisation.html" />
    <link rel="prev" title="pywws.DataStore" href="pywws.DataStore.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.Localisation.html" title="pywws.Localisation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.DataStore.html" title="pywws.DataStore"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="pywws-timezone">
<h1>pywws.TimeZone<a class="headerlink" href="#pywws-timezone" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This module provides two <tt class="docutils literal"><span class="pre">datetime.tzinfo</span></tt> objects representing UTC and local time zones. These are used to convert timestamps to and from UTC and local time. The weather station software stores data with UTC timestamps, to avoid problems with daylight savings time, but the template and plot programs output data with local times.</p>
<p>The module is copied directly from the <tt class="docutils literal"><span class="pre">datetime.tzinfo</span></tt> module documentation.</p>
</div>
<div class="section" id="module-pywws.TimeZone">
<span id="detailed-api"></span><h2>Detailed API<a class="headerlink" href="#module-pywws.TimeZone" title="Permalink to this headline">¶</a></h2>
<p>Provide a couple of datetime.tzinfo() objects representing local
time and UTC.</p>
<p>Copied directly from the datetime module documentation.</p>
<p class="rubric">Classes</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.TimeZone.LocalTimezone" title="pywws.TimeZone.LocalTimezone"><tt class="xref py py-obj docutils literal"><span class="pre">LocalTimezone</span></tt></a></td>
<td>Local time</td>
</tr>
<tr><td><a class="reference internal" href="#pywws.TimeZone.UTC" title="pywws.TimeZone.UTC"><tt class="xref py py-obj docutils literal"><span class="pre">UTC</span></tt></a></td>
<td>UTC</td>
</tr>
</tbody>
</table>
<dl class="class">
<dt id="pywws.TimeZone.UTC">
<em class="property">class </em><tt class="descclassname">pywws.TimeZone.</tt><tt class="descname">UTC</tt><a class="reference internal" href="../_modules/pywws/TimeZone.html#UTC"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.UTC" title="Permalink to this definition">¶</a></dt>
<dd><p>UTC</p>
<dl class="method">
<dt id="pywws.TimeZone.UTC.utcoffset">
<tt class="descname">utcoffset</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#UTC.utcoffset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.UTC.utcoffset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.TimeZone.UTC.tzname">
<tt class="descname">tzname</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#UTC.tzname"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.UTC.tzname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.TimeZone.UTC.dst">
<tt class="descname">dst</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#UTC.dst"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.UTC.dst" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="pywws.TimeZone.LocalTimezone">
<em class="property">class </em><tt class="descclassname">pywws.TimeZone.</tt><tt class="descname">LocalTimezone</tt><a class="reference internal" href="../_modules/pywws/TimeZone.html#LocalTimezone"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.LocalTimezone" title="Permalink to this definition">¶</a></dt>
<dd><p>Local time</p>
<dl class="method">
<dt id="pywws.TimeZone.LocalTimezone.utcoffset">
<tt class="descname">utcoffset</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#LocalTimezone.utcoffset"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.LocalTimezone.utcoffset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.TimeZone.LocalTimezone.dst">
<tt class="descname">dst</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#LocalTimezone.dst"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.LocalTimezone.dst" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="pywws.TimeZone.LocalTimezone.tzname">
<tt class="descname">tzname</tt><big>(</big><em>dt</em><big>)</big><a class="reference internal" href="../_modules/pywws/TimeZone.html#LocalTimezone.tzname"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.TimeZone.LocalTimezone.tzname" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">pywws.TimeZone</a><ul>
<li><a class="reference internal" href="#introduction">Introduction</a></li>
<li><a class="reference internal" href="#module-pywws.TimeZone">Detailed API</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.DataStore.html"
                        title="previous chapter">pywws.DataStore</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.Localisation.html"
                        title="next chapter">pywws.Localisation</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.Localisation.html" title="pywws.Localisation"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.DataStore.html" title="pywws.DataStore"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>